Communication Activity
Endpoints for Communication Activity
Endpoints for Communication Activity
POST/api/v1/communication-activity/sendgrid/webhook
Authentication: Bearer token (JWT)
application/jsonNo named fields are defined for this schema.
[
"string"
]This response has no body.
unauthorized
curlcurl https://api.subrite.no/api/v1/communication-activity/sendgrid/webhook \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"string"
]'POST/api/v1/communication-activity/teletopia/webhook
Authentication: Bearer token (JWT)
application/jsonmessageIdstringRequiredclientRefstringRequiredmessageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}forbiddenResource
internalServerError
deliverednumberstatusCodenumberOptionaltimestringOptionaltimestampnumberOptionalmccstringOptionalmncstringOptionalpartCountnumberOptional{
"messageId": "string",
"clientRef": "string",
"delivered": 0,
"statusCode": 0,
"time": "string",
"timestamp": 0,
"mcc": "string",
"mnc": "string",
"partCount": 0
}This response has no body.
unauthorized
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}forbiddenResource
internalServerError
curlcurl https://api.subrite.no/api/v1/communication-activity/teletopia/webhook \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"messageId": "string",
"clientRef": "string",
"delivered": 0,
"statusCode": 0,
"time": "string",
"timestamp": 0,
"mcc": "string",
"mnc": "string",
"partCount": 0
}'